Package org.apache.nutch.indexer

# Class IndexWriters

java.lang.Object
org.apache.nutch.indexer.IndexWriters

public class IndexWriters extends Object
Creates and caches `IndexWriter` implementing plugins.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `IndexWriters.IndexWriterWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `commit()`
  `void`
  `delete(String key)`
  `String`
  `describe()`
  Lists the active IndexWriters and their configuration.
  `static IndexWriters`
  `get(Configuration conf)`
  `void`
  `open(Configuration conf, String name)`
  Initializes the internal variables of index writers.
  `void`
  `update(NutchDocument doc)`
  `void`
  `write(NutchDocument doc)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public static IndexWriters get(Configuration conf)

  - ### open

    public void open(Configuration conf, String name) throws IOException
    Initializes the internal variables of index writers.
    Parameters:
      `conf` - Nutch configuration
      `name` - target name of the `IndexWriter` to be opened
    Throws:
      `IOException` - Some exception thrown by some writer.

  - ### write

    public void write(NutchDocument doc) throws IOException
    Throws:
      `IOException`

  - ### update

    public void update(NutchDocument doc) throws IOException
    Throws:
      `IOException`

  - ### delete

    public void delete(String key) throws IOException
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`

  - ### commit

    public void commit() throws IOException
    Throws:
      `IOException`

  - ### describe

    public String describe()
    Lists the active IndexWriters and their configuration.
    Returns:
      The full description.